<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:th="http://thymeleaf.org/"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Hugo 0.79.0">
    <title>Starter Template · Bootstrap v5.0</title>

    <link rel="canonical" href="https://getbootstrap.com/docs/5.0/examples/starter-template/">



    <!-- Bootstrap core CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">




    <!-- Custom styles for this template -->
    <link href="starter-template.css" rel="stylesheet">
</head>
<body>
<div class="container">
    <div class="row">
        <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
            <div class="card card-signin my-5">
                <div class="card-body">
                    <h5 class="card-title text-center">Log in / Registracija</h5>
                    <form th:action="@{/login}" method="post">

                        <div th:if="${param.error}">
                            <p class="text-danger">[[${session.SPRING_SECURITY_LAST_EXCEPTION.message}]]</p>
                        </div>

                        <div th:if="${param.logout}">
                            <p class="text-warning">You have been logged out.</p>
                        </div>

                        <div class="form-label-group">
                            <input type="text" name="username" class="form-control" placeholder="Korisnicko ime" required autofocus>
                            <br>
                            <label>Korisnicko ime</label>
                        </div>
                        <br>
                        <div class="form-label-group">
                            <input type="password" name = "password" id="inputPassword" class="form-control" placeholder="Password" required>
                            <br>
                            <label for="inputPassword">Password</label>
                        </div>
                        <br>




                        <button class="btn btn-lg btn-primary btn-block text-uppercase" value="Login" type="submit">Sign in</button>
                        <hr class="my-4">

                    </form>
                    <form th:action="@{/register}" method="post">
                    <button class="btn btn-lg btn-primary btn-block text-uppercase" type="button">Register </button>
                    </form>
                    <br>
                    <form th:action="@{/}" method="get">
                    <button  class="btn btn-lg btn-primary btn-block text-uppercase" type="submit">Vrati se na pocetnu </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>

